## freeze freeze — Makes a stream from buffers of data |

## Synopsis

    struct              GstFreeze;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstFreeze

## Properties

      "max-buffers"              guint                 : Read / Write

## Description

Makes a stream from buffers of data.

### Example launch line

    1
    gst-launch-0.10 filesrc location=gnome-home.png blocksize=4135 !  pngdec ! freeze ! ffmpegcolorspace ! xvimagesink

Produces a video stream from one picture.

## Synopsis

### Element Information

plugin | freeze
author | Gergely Nagy <gergely.nagy@neteyes.hu>, Renato Filho <renato.filho@indt.org.br>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstFreeze

    struct GstFreeze;

## Property Details

### The `"max-buffers"` property

      "max-buffers"              guint                 : Read / Write

Maximum number of buffers.

Default value: 1